Returns the information for all your created SMS campaigns
Retrieve a paginated list of all your SMS campaigns with their statistics and recipient information. Results can be filtered by status and date range, with a default limit of 500 and maximum of 1000 per page. The sort order defaults to descending by creation date; date filters are only available when status is not passed or is set to sent.
Authentication
The API key should be passed in the request headers as api-key for authentication.
OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.
Query parameters
Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. Prefer to pass your timezone in date-time format for accurate result. Only available if status is not passed or is set to sent. startDate must not be in the future.
Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. Prefer to pass your timezone in date-time format for accurate result. Only available if status is not passed or is set to sent. endDate must not be in the future.
Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed